#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-EFzDClGEjimEhIXAmFCopP
key:                  ghcide-1.4.1.0-EFzDClGEjimEhIXAmFCopP
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  71f9670d8ee010c18da7483f8884eb7b
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-EFzDClGEjimEhIXAmFCopP
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.2-Isz7KqzLudlIUasdcC4jXc
    aeson-1.5.6.0-CI7TVKCpPUr3TvYJH78qPf
    aeson-pretty-0.8.9-J1vNX6tZQ2nKztHqNFehKu array-0.5.4.0
    async-2.2.3-JMLEcS5xCFd7RA7gdjgDSR base-4.15.0.0
    base16-bytestring-1.0.1.0-AzQjVmtrUwLAF55suz0faG binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-2JqxdsqprJ5HzWA0MZsDVz
    case-insensitive-1.2.1.0-HUle69skLlV6z807pes5m0 containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-5RJjHNv19ESJeD93LU2jRn deepseq-1.4.5.0
    dependent-map-0.4.0.0-APukiwTRGiU18u0DfNiB9b
    dependent-sum-0.7.1.0-1XqvSifEF42lDvEujYozR directory-1.3.6.1
    dlist-1.0-DqtNBE1aXOzH1lBPsXifRQ
    extra-1.7.10-BjGZFAYpXsjDqImjYsZuGK filepath-1.4.2.1
    fingertree-0.1.4.2-E1VhwPQAnR5HZFzOuBOYDY
    fuzzy-0.1.0.1-FPIIbYFwhf1EjaZhFM8cGy ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-LJswD6jua487d1pCPzvXyS
    ghc-exactprint-0.6.4-Af80lzgb0BG8ol41xeAMys
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-Bd3uWEhRLN86YIgPt7gVCB
    hashable-1.3.3.0-Ob7F4bz7SrJSfcuDhkmwM
    heapsize-0.3.0.1-HkWzuXp3JorGFAmrlOzkmZ
    hie-bios-0.7.6-KBV8XnXmKjxDXIP9FqyNpt
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-GDtBZ3QUWRJ2RFfhfKK2cS
    hls-graph-1.4.0.0-EGccooX3pI34ufrk03Fzn1
    hls-plugin-api-1.2.0.0-AkUSTMd7UJq20gOeMJDhpR
    hslogger-1.3.1.0-6oSZiUXqVCUJ0zva1SfX2u
    implicit-hie-cradle-0.3.0.5-Jdr5SlVnMV0Iy4cmmImIAa
    lens-5.0.1-8dnP2pTMAQo5RvgbWKmeu3
    lsp-1.2.0.1-HAkg4Gm45gcKt0gziLSs7N
    lsp-types-1.3.0.1-AVlusEIiwqx3SGLSMZlEVd mtl-2.2.2
    network-uri-2.6.4.1-DC1aot2K9KI32TlB2FcjFC
    opentelemetry-0.7.0-99okJsfr3fBFh3NqizMqre
    optparse-applicative-0.16.1.0-2Lys88r8Sg3GstjsK1qq7I
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-C1ndLMNYEtq8WIYGU2RZS5
    prettyprinter-ansi-terminal-1.1.3-34waB5mex7u2gkmaGc4c5N
    regex-tdfa-1.3.1.1-CFl4hZ3hRYq8lp7oiPzH50
    retrie-1.0.0.0-DV9JxU0H2jJE07YkVFCZ4d
    rope-utf16-splay-0.3.2.0-GJwK3BU2kImHbjSMf0FV6n
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-86f3dBgEfwxAgdyr52R88a
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-IxgoHRkXfnz79Nh6oN4yGI stm-2.5.0.0
    syb-0.7.2.1-2S4loVCNzet5LDM9OR6R7y text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-LZ2TdVCG1JPD2zWnEXJxzO
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-85xhml3fqIC6ZwgIEgRSE
    utf8-string-1.0.2-5HCL2DEngO97ScKqywgmIk
    vector-0.12.3.1-1QSAcoQ4BjrEDZahKaKVTn

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

